package xyz.prismix.Skins;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.NinePatch;
import com.badlogic.gdx.scenes.scene2d.ui.Skin;
import com.badlogic.gdx.scenes.scene2d.ui.TextField;

public class Skins {

    public static Skin skin() {
        Skin skin = new Skin();
        skin.add(
            "background",
            new NinePatch(new Texture(Gdx.files.internal("hud/Input.png")), 5, 5, 5, 5) //TODO: That's never deleted from memory UwU
        );
        skin.add("cursor", new Texture(Gdx.files.internal("hud/cursor.png")));
        return skin;
    }

    public static TextField.TextFieldStyle textField() {
        TextField.TextFieldStyle tStyle = new TextField.TextFieldStyle();
        tStyle.fontColor = Color.BLACK;
        tStyle.font = new BitmapFont();
        tStyle.background = skin().getDrawable("background");
        tStyle.cursor = skin().newDrawable("cursor");
        tStyle.cursor.setMinWidth(2f);
        tStyle.selection = skin().newDrawable("background", 0.5f, 0.5f, 0.5f,
            0.5f);

        return tStyle;
    }
}
